Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
engineer0405

[nhờ giúp đỡ]thay đổi chiều cao text

Các bài được khuyến nghị

em chào các anh ạ

các anh viết giúp em với ạ

1.lisp thế này ạ

-chọn vùng cần thay đổi chiều cao chữ

-chọn chiều cao chữ

-tất cả các text trong vùng chọn đều có cùng kích thước mình nhập (không phân biệt font chữ...)

2.lisp như vậy ạ:

-chọn vùng chọn

-kick vào text cần thay đổi

-Nhập chiều cao cần thay đổi

Nhưng khác ở lisp này là text mà mình chọn có cùng text style mới thay đổi còn những text khác vẫn giữ nguyên

em đang cần, mong các anh giúp ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mr.trunghd    46

Với yêu cầu như của bạn Cad dư sức làm đc mà. Bạn vào Tools -> Quick select -> "Tha hồ mà lựa chọn nhé" tiếp đó bạn vào thanh Properties mà chỉnh sửa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quochuyksxd    24

1-Bạn quét vùng chọn cần thay đổi text

2-Ấn Ctr+1 hiện bảng properties

3-Trên góc trái chọn danh sách xổ xuống và chọn text

4-Thay đổi chiều cao text thoải mái

5-Chúc bạn thành công!

Ghi chú: chỉ áp dụng cho dtext

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

đúng là cad làm được các anh ạ

nhưng mà làm như vậy khá mất thời gian

em đã làm thử khi chỉnh sữa các bản vẽ

nhưng như thế sẽ tốn hơi khá nhiều thời gian nếu thay đổi nhiều bản vẽ

vì vậy em mới nhờ các anh viết dùm lisp giúp ạ

các anh giúp em với

em cảm ơn ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nvduong    6

em chào các anh ạ

các anh viết giúp em với ạ

1.lisp thế này ạ

-chọn vùng cần thay đổi chiều cao chữ

-chọn chiều cao chữ

-tất cả các text trong vùng chọn đều có cùng kích thước mình nhập (không phân biệt font chữ...)

2.lisp như vậy ạ:

-chọn vùng chọn

-kick vào text cần thay đổi

-Nhập chiều cao cần thay đổi

Nhưng khác ở lisp này là text mà mình chọn có cùng text style mới thay đổi còn những text khác vẫn giữ nguyên

em đang cần, mong các anh giúp ạ

Với những vấn đề đơn giản như vậy bạn không cần và cũng không nên dùng lisp sẽ dễ bị loãng.

Y/C1: bạn có thể sử dụng lệnh filter, chỉ để lại Object type = text sau đó quét chuột vùng cần chọn là bạn có thể đổi chiều cao tùy ý

Y/C2: cũng là lệnh filter, nhưng lần này bạn để thêm lưa chọn style

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

1 lisp cơ bản như vậy hẳn sẽ có rất nhiều trên mạng cũng như trong 4room trước đây. Mình vẫn luôn không hiểu tại sao các bạn thụ động trong việc tìm kiếm công cụ cho mình như vậy :)

Giả sử như yêu cầu của bạn, nếu tìm GG với cụm từ "change text height lisp" hay "change textstyle height lisp" .... thì k thể không có 1 đống lisp tây ta tàu hiện lên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Vậy bạn phải nhờ các cao thủ lips rồi. Nếu có được 1 lips như vậy cũng rất tuyệt :)

Bạn hãy thử Lệnh Scaletext.

Scaletext tự động lọc Text rồi

Lệnh này ở đây :

http://www.cadviet.com/forum/index.php?showtopic=9348

 

@quochuyksxd : Kiến nghị bạn kiểm tra lại kích thước hình ảnh chữ kí ở dưới bài viết của bạn nên phù hợp với

Quy định về size của ảnh ở đây :

 

http://www.cadviet.com/forum/index.php?showtopic=11662

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

đúng là cad làm được các anh ạ

nhưng mà làm như vậy khá mất thời gian

em đã làm thử khi chỉnh sữa các bản vẽ

nhưng như thế sẽ tốn hơi khá nhiều thời gian nếu thay đổi nhiều bản vẽ

vì vậy em mới nhờ các anh viết dùm lisp giúp ạ

các anh giúp em với

em cảm ơn ạ

Nếu thích lisp thì thử cái này xem!

;Doan Van Ha - CADViet.com. 27-11-2011. Thay doi chieu cao Text/Mtext.
(defun C:HA (/ ss i hei)
(vl-load-com)
(setq i 0)
(princ "\nChon cac Text/Mtext can thay doi chieu cao...")
(setq ss (ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))))
(if ss
 (progn
  (or size (setq size  (getvar "textsize")))
  (setq hei (getdist (strcat "\nNhap chieu cao Text moi <" (rtos size 2) ">: ")))
  (if (= hei nil) (setq hei size) (setq size hei))
  (repeat (sslength ss)
(vla-put-height (vlax-ename->vla-object (ssname ss i)) hei)
(setq i (1+ i)))))
(princ))

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Nếu thích lisp thì thử cái này xem!

;Doan Van Ha - CADViet.com. 27-11-2011. Thay doi chieu cao Text/Mtext.
(defun C:HA (/ ss i hei)
(vl-load-com)
(setq i 0)
(princ "\nChon cac Text/Mtext can thay doi chieu cao...")
(setq ss (ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))))
(if ss
 (progn
  (or size (setq size  (getvar "textsize")))
  (setq hei (getdist (strcat "\nNhap chieu cao Text moi <" (rtos size 2) ">: ")))
  (if (= hei nil) (setq hei size) (setq size hei))
  (repeat (sslength ss)
(vla-put-height (vlax-ename->vla-object (ssname ss i)) hei)
(setq i (1+ i)))))
(princ))

Bác DVH lạm dụng vô Lisp dữ quá! :D

Scaletext đã có chức năng lọc text và cả Mtext luôn rồi ạ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Bác DVH lạm dụng vô Lisp dữ quá! :D

Scaletext đã có chức năng lọc text và cả Mtext luôn rồi ạ!

1). Tôi không rành Cad nhiều. 2). Chủ topic cứ thích lisp. 3). Cái này có sẵn. Kết luận: lãng phí! :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×